// priority: 0

// Visit the wiki for more info - https://kubejs.com/

ServerEvents.recipes(event => { 
    event.remove({ id: 'mekanism:processing/lategame/polonium_pellet/from_reaction' })
    event.remove({ id: 'createchromaticreturn:antimatter_recipe' })
    event.remove({ id: 'mekanism:induction/cell/basic' })
    event.remove({ id: 'mekanism:induction/provider/basic' })
    event.remove({ id: 'createchromaticreturn:motor_recipe' })
    event.remove({ id: 'createchromaticreturn:generator_recipe' })


    event.shaped(
      Item.of('skilltree:amnesia_scroll', 1),
      [
        'EME',
        'MBM',
        'EME'
      ],
      {
        E: "irons_spellbooks:arcane_essence",
        B: 'minecraft:book',
        M: 'botania:mana_bottle'
      }
    )

    event.recipes.createMechanicalCrafting('create:creative_crate', [
      'MNSNM',
      'NNRNN',
      'SRCRS',
      'NNRNN',
      'MNSNM'
    ], {
      M: 'createchromaticreturn:multiplite_ingot',
      N: 'minecraft:netherite_block',
      R: 'createchromaticreturn:refined_mechanism',
      C: '#chipped:barrel',
      S: 'mysticalagriculture:supremium_ingot_block'
    })

    event.recipes.createMechanicalCrafting('create:creative_fluid_tank', [
      'MNSNM',
      'NNRNN',
      'SRTRS',
      'NNRNN',
      'MNSNM'
    ], {
      M: 'createchromaticreturn:multiplite_ingot',
      N: 'minecraft:netherite_block',
      R: 'createchromaticreturn:refined_mechanism',
      T: 'create:fluid_tank',
      S: 'mysticalagriculture:supremium_ingot_block'
    })

    event.recipes.createMechanicalCrafting('create_connected:creative_fluid_vessel', [
      'MNSNM',
      'NNRNN',
      'SRTRS',
      'NNRNN',
      'MNSNM'
    ], {
      M: 'createchromaticreturn:multiplite_ingot',
      N: 'minecraft:netherite_block',
      R: 'createchromaticreturn:refined_mechanism',
      T: 'create_connected:fluid_vessel',
      S: 'mysticalagriculture:supremium_ingot_block'
    })

    event.recipes.createMechanicalCrafting('create:creative_motor', [
      'MNCNM',
      'NNRNN',
      'SRIRS',
      'NNRNN',
      'MNINM'
    ], {
      M: 'createchromaticreturn:multiplite_ingot',
      N: 'minecraft:netherite_block',
      R: 'createchromaticreturn:refined_mechanism',
      I: 'create:shaft',
      S: 'mysticalagriculture:supremium_ingot_block',
      C: 'create:rotation_speed_controller'
    })

    event.recipes.createMechanicalCrafting('createaddition:creative_energy', [
      'MNCNM',
      'NNRNN',
      'SRARS',
      'NNRNN',
      'MNINM'
    ], {
      M: 'createchromaticreturn:multiplite_ingot',
      N: 'minecraft:netherite_block',
      R: 'createchromaticreturn:refined_mechanism',
      A: 'createaddition:alternator',
      S: 'mysticalagriculture:supremium_ingot_block',
      C: 'create:creative_motor',
      I: 'create:shaft'
    })

    event.recipes.createMechanicalCrafting('ae2:creative_energy_cell', [
      'MNSNM',
      'NNRNN',
      'SRERS',
      'NNRNN',
      'MNSNM'
    ], {
      M: 'createchromaticreturn:multiplite_ingot',
      N: 'minecraft:netherite_block',
      R: 'createchromaticreturn:refined_mechanism',
      S: 'mysticalagriculture:supremium_ingot_block',
      E: 'ae2:dense_energy_cell'
    })
    
    event.recipes.createMechanicalCrafting('mekanism:creative_energy_cube', [
      'MNSNM',
      'NNRNN',
      'SRERS',
      'NNRNN',
      'MNSNM'
    ], {
      M: 'createchromaticreturn:multiplite_ingot',
      N: 'minecraft:netherite_block',
      R: 'createchromaticreturn:refined_mechanism',
      S: 'mysticalagriculture:supremium_ingot_block',
      E: 'mekanism:ultimate_energy_cube'
    })

    event.shapeless(
      Item.of('create_connected:creative_fluid_vessel', 1),
      [
        'create:creative_fluid_tank'
      ]
    )

    event.shapeless(
      Item.of('create:creative_fluid_tank', 1),
      [
        'create_connected:creative_fluid_vessel'
      ]
    )

    console.log('Recipie modified - Matiks112')
  })